## libgnatcoll-bindings 23.0.0

=== debian/changelog ===
libgnatcoll-bindings (23.0.0-6) unstable; urgency=medium

  * Break/Replace libgnatcoll-*-dev since oldstable.
    Closes: #1034917, #1034919, #1034928, #1034940, #1034974, #1034991, #1035002.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 00:52:30 +0200

libgnatcoll-bindings (23.0.0-5) unstable; urgency=medium

  * Let the python -dev depend on the python version it is built with
    (3.11) instead of the local default (3.10 during autopkgtests).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Jan 2023 23:03:37 +0000

libgnatcoll-bindings (23.0.0-4) unstable; urgency=medium

  * Adapt PyFrameObject accessors to python/3.11.  Closes: #1027843.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 04 Jan 2023 13:52:00 +0000

libgnatcoll-bindings (23.0.0-3) unstable; urgency=medium

  * Let each -dev package depend on the original C -dev (fixing autopkgtests).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 16:03:23 +0000

libgnatcoll-bindings (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:25:17 +0100

libgnatcoll-bindings (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Nov 2022 01:14:18 +0000

libgnatcoll-bindings (23~20220814-1) experimental; urgency=medium

  * New upstream snapshot applying a few patches.
  * Update for dh-ada-library 8.1.
  * Add an unversioned python project wrapper for python3.
  * Patch removing gprinstall artifacts from projects
    (in order no to install gprinstall during -indep builds).
  * The gnatcoll project now generated by gprinstall *does*
    set So_Ext.  Drop the related patch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Aug 2022 16:55:07 +0000

libgnatcoll-bindings (23~20220315-1) experimental; urgency=medium

  * Build upstream snapshot with gnat-12 for experimental.
    Increase ALI versions in -dev package names, but no SO version.
  * Apply build flags to a forgotten source.
  * Forward some patches.
  * rules: use DEB_GNAT_VERSION from debian_packaging.mk.
    Prefer execute_before_dh_ to override_dh_ and --remaining-packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 08 Aug 2022 12:46:05 +0000

=== debian/control ===
Source: libgnatcoll-bindings
Priority: optional
Section: libdevel
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library (>= 8.1),
 dh-sequence-ada-library,
 gnat-12,
 gprbuild (>= 2021.0.0.0778b109-2),
# Implicit libc6-dev provides: iconv, omp, syslog.
 libgmp-dev,
# gnatcoll.gpr defines So_Ext:
 libgnatcoll21-dev (>= 23~20220803-2),
 pkg-config,
 python3-dev,
 libpython3-dev,
 libreadline-dev,
 liblzma-dev,
 zlib1g-dev,
Homepage: https://github.com/AdaCore/gnatcoll-bindings
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings
Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git

######################################################################

Package: libgnatcoll-python3-2-dev
Breaks: libgnatcoll-python3-1-dev
Replaces: libgnatcoll-python3-1-dev
Architecture: any
# The Python version we were built with may differ from the default.
Depends: ${misc:Depends}, ${ada:Depends}, libpython${python-version}-dev,
Description: Ada binding to the Python3 language (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 adding Python as scripting language.

Package: libgnatcoll-python3-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding to the Python3 language (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for Python
 scripting.

######################################################################

Package: libgnatcoll-iconv21-dev
Breaks: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev, libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev
Replaces: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev, libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for Iconv character encoding conversions (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications for
 the binding with the Iconv character encoding conversion library.

Package: libgnatcoll-iconv20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for Iconv character encoding conversions (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the iconv
 binding.

######################################################################

Package: libgnatcoll-readline21-dev
Breaks: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev, libgnatcoll-readline19-dev, libgnatcoll-readline20-dev
Replaces: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev, libgnatcoll-readline19-dev, libgnatcoll-readline20-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}, libreadline-dev,
Description: Ada binding for ReadLine input history (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with GNU readline and history libraries.

Package: libgnatcoll-readline20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for ReadLine input history (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the readline
 binding.

######################################################################

Package: libgnatcoll-gmp21-dev
Breaks: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev, libgnatcoll-gmp20-dev
Replaces: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev, libgnatcoll-gmp20-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}, libgmp-dev,
Description: Ada binding for GMP big numbers (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for a binding with the GNU Multiple Precision arithmetic C library.

Package: libgnatcoll-gmp20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for GMP big numbers (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the GMP binding.

######################################################################

Package: libgnatcoll-syslog5-dev
Breaks: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev, libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev
Replaces: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev, libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for syslog journals (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for an interface to the syslog journal manager daemon.

Package: libgnatcoll-syslog3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for syslog journals (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the syslog binding.

######################################################################

Package: libgnatcoll-lzma4-dev
Breaks: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev, libgnatcoll-lzma4-dev
Replaces: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev, libgnatcoll-lzma4-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}, liblzma-dev,
Description: Ada binding for LZMA compression (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the lzma compression library.

Package: libgnatcoll-lzma2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for LZMA compression (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the lzma binding.

######################################################################

Package: libgnatcoll-zlib4-dev
Breaks: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev, libgnatcoll-zlib4-dev
Replaces: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev, libgnatcoll-zlib4-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}, zlib1g-dev,
Description: Ada binding for Zlib compression (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the zlib compression library.

Package: libgnatcoll-zlib2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for Zlib compression (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the zlib binding.

######################################################################

Package: libgnatcoll-omp3-dev
Breaks: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev
Replaces: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for OpenMP parallelism (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the OpenMP parallelism library.

Package: libgnatcoll-omp1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for OpenMP parallelism (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .

=== debian/rules ===
#!/usr/bin/make -f
# Build script for GNATColl in Debian.
# Copyright (c) 2014-2023 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

libraries := gmp iconv lzma omp python3 readline syslog zlib

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

vars := -XGNATCOLL_BUILD_MODE=PROD

python3 install-python3: vars += \
  -XGNATCOLL_PYTHON_CFLAGS=`pkg-config --cflags python3-embed` \
  -XGNATCOLL_PYTHON_LIBS=`pkg-config --libs python3-embed`

iconv install-iconv: vars += -XGNATCOLL_ICONV_OPT=

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build: $(libraries)

.PHONY: $(libraries)
$(libraries):
	gprbuild $@/gnatcoll_$(@:3=).gpr \
	  -XLIBRARY_TYPE=static \
	  -p $(GPRBUILDFLAGS) $(vars)
	gprbuild $@/gnatcoll_$(@:3=).gpr \
	  -XLIBRARY_TYPE=relocatable \
	  -XGNATCOLL_VERSION=$(gnatcoll_$@_SO_VERSION) \
	  -p $(GPRBUILDFLAGS) $(vars)

$(libraries): default.cgpr
default.cgpr:
	gprconfig --batch $(GPRCONFIGFLAGS)

override_dh_auto_install: $(libraries:%=install-%)
  # The concrete project with all information available must be named
  # after the library name for dh-ada-library.
	sed s/GnatColl_Python/GnatColl_Python3/ \
	   debian/tmp/$(DEB_GNAT_PROJECT_DIR)/gnatcoll_python.gpr \
	 > debian/tmp/$(DEB_GNAT_PROJECT_DIR)/gnatcoll_python3.gpr
	rm debian/tmp/$(DEB_GNAT_PROJECT_DIR)/gnatcoll_python.gpr

install-%:
	gprinstall $*/gnatcoll_$(*:3=).gpr $(vars) \
	  -XLIBRARY_TYPE=static $(static_GPRINSTALLFLAGS)
	gprinstall $*/gnatcoll_$(*:3=).gpr $(vars) \
	  -XLIBRARY_TYPE=relocatable \
	  -XGNATCOLL_VERSION=$(gnatcoll_$*_SO_VERSION) \
	  $(call shared_GPRINSTALLFLAGS,gnatcoll_$*)

execute_before_dh_install:
  # Install a wrapper project so that 'with "gnatcoll_python.gpr";' works..
	dh_install -p$(gnatcoll_python3_DEV_PKG) debian/gnatcoll_python.gpr \
	  $(DEB_GNAT_PROJECT_DIR)

.PHONY: execute_before_dh_installdocs
execute_before_dh_installdocs:
	dh_installdocs -p$(gnatcoll_iconv_DEV_PKG)       iconv/docs/index.rst
	dh_installdocs -p$(gnatcoll_python3_DEV_PKG)    python/docs/index.rst
	dh_installdocs -p$(gnatcoll_readline_DEV_PKG) readline/docs/index.rst
	dh_installdocs -p$(gnatcoll_syslog_DEV_PKG)     syslog/docs/index.rst

.PHONY: execute_before_dh_installexamples
execute_before_dh_installexamples:
	dh_installexamples -p$(gnatcoll_gmp_DEV_PKG) gmp/examples/*

override_dh_gencontrol:
	dh_gencontrol -- -Vpython-version=$(shell \
	  python3 -V | sed 's/^Python \(3\.[0-9]\+\)\.[0-9]\+$$/\1/')

=== debian/watch ===
version=4

https://github.com/AdaCore/gnatcoll-bindings/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libgnatcoll-bindings 24.0.0

=== debian/changelog ===
libgnatcoll-bindings (24.0.0-2build2.1) noble; urgency=medium

  * SRU: LP: #2083315: No-change rebuild for gnat 64bit time_t changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 07:28:25 +0200

libgnatcoll-bindings (24.0.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:58:25 +1100

libgnatcoll-bindings (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild with gnat-13 13.2.0-21.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 22:14:53 +0100

libgnatcoll-bindings (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of the deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 15:08:49 +0100

libgnatcoll-bindings (24.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Rename library packages with new shared object names because of gnat-13.
  * Improve readability of debian/rules.
  * Lintian: fix changelog formatting, update patch metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Oct 2023 10:03:58 +0000

libgnatcoll-bindings (23.0.0-7) experimental; urgency=medium

  * Build in experimental with dh-ada-library >= 9 and gnat >= 13
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Replace debhelper overrides with small files for now unversioned -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 23:55:33 +0000

=== debian/rules ===
#!/usr/bin/make -f
# Build script for GNATColl in Debian.
# Copyright (c) 2014-2023 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

libraries := gmp iconv lzma omp python3 readline syslog zlib

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

project = -P$*/gnatcoll_$(*:3=).gpr
static := -XLIBRARY_TYPE=static
shared = -XLIBRARY_TYPE=relocatable \
  -XGNATCOLL_VERSION=$(gnatcoll_$*_SO_VERSION)
vars := -XBUILD=PROD

build-python3 install-python3: vars += \
  -XGNATCOLL_PYTHON_CFLAGS=`pkg-config --cflags python3-embed` \
  -XGNATCOLL_PYTHON_LIBS=`pkg-config --libs python3-embed`

build-iconv install-iconv: vars += -XGNATCOLL_ICONV_OPT=

%:
	dh $@

override_dh_auto_build: $(libraries:%=build-%)

build-%: default.cgpr
	gprbuild $(project) $(static) -p $(GPRBUILDFLAGS) $(vars)
	gprbuild $(project) $(shared) -p $(GPRBUILDFLAGS) $(vars)

default.cgpr:
	gprconfig --batch $(GPRCONFIGFLAGS)

override_dh_auto_install: $(libraries:%=install-%)
  # The concrete project with all information available must be named
  # after the library name for dh-ada-library.
	sed s/GnatColl_Python/GnatColl_Python3/ \
	   debian/tmp/$(DEB_GNAT_PROJECT_DIR)/gnatcoll_python.gpr \
	 > debian/tmp/$(DEB_GNAT_PROJECT_DIR)/gnatcoll_python3.gpr
	rm debian/tmp/$(DEB_GNAT_PROJECT_DIR)/gnatcoll_python.gpr

install-%:
	gprinstall $(project) $(vars) $(static) $(static_GPRINSTALLFLAGS)
	gprinstall $(project) $(vars) $(shared) \
	  $(call shared_GPRINSTALLFLAGS,gnatcoll_$*)

execute_before_dh_install:
  # Install a wrapper project so that 'with "gnatcoll_python.gpr";' works..
	dh_install -plibgnatcoll-python3-dev debian/gnatcoll_python.gpr \
	  $(DEB_GNAT_PROJECT_DIR)

override_dh_gencontrol:
	dh_gencontrol -- -Vpython-version=$(shell \
	  python3 -V | sed 's/^Python \(3\.[0-9]\+\)\.[0-9]\+$$/\1/')

=== debian/tests/control ===
Tests: gmp iconv python readline syslog
Depends: @, gprbuild

## libgnatcoll-bindings 25.0.0

=== docs-common/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GNATColl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GNATColl.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GNATColl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GNATColl"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex LATEXOPTS="-interaction=errorstopmode" all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
libgnatcoll-bindings (25.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Eplicitly build-depend on g++-14 to match the gnat version.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Feb 2026 10:39:23 +0100

libgnatcoll-bindings (25.0.0-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:11:32 +0000

libgnatcoll-bindings (25.0.0-2build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:18 +0200

libgnatcoll-bindings (25.0.0-2build1) questing; urgency=medium

  * No-change with SOURCE_DATE_EPOCH fixed in libgnatprj-dev

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 17:43:42 +0000

libgnatcoll-bindings (25.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 22:05:40 +0100

libgnatcoll-bindings (25.0.0-1) experimental; urgency=medium

  * Build with gnat-14 for experimental.
  * Add libgnatcoll-cpp{-dev,1} binary packages for a new library.
  * Replace CFLAGS with CPPFLAGS for C++ compilations.
  * Replace gnatcoll_core.gpr (not packaged yet) with gnatcoll.gpr.
  * Fix version control repository URLs in upstream/metadata.
  * Let gbp clone also import upstream history.
  * Enable salsa continuous integration via salsa-ci.yml.
  * Use pristine-tar for reproducible upstream archives.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 22 Feb 2025 20:53:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,31 +4,33 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library (>= 8.1),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
- gprbuild (>= 2021.0.0.0778b109-2),
+ gnat,
+ gnat-14,
+ g++-14,
+ gprbuild (>= 2025.0.0-2),
 # Implicit libc6-dev provides: iconv, omp, syslog.
  libgmp-dev,
-# gnatcoll.gpr defines So_Ext:
- libgnatcoll21-dev (>= 23~20220803-2),
- pkg-config,
+ libgnatcoll-dev,
+ pkgconf,
  python3-dev,
  libpython3-dev,
  libreadline-dev,
  liblzma-dev,
  zlib1g-dev,
 Homepage: https://github.com/AdaCore/gnatcoll-bindings
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings
 Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git
 
 ######################################################################
 
-Package: libgnatcoll-python3-2-dev
-Breaks: libgnatcoll-python3-1-dev
-Replaces: libgnatcoll-python3-1-dev
+Package: libgnatcoll-python3-dev
+Breaks: libgnatcoll-python3-1-dev, libgnatcoll-python3-2-dev
+Replaces: libgnatcoll-python3-1-dev, libgnatcoll-python3-2-dev
+Provides: ${ada:Provides}
 Architecture: any
 # The Python version we were built with may differ from the default.
 Depends: ${misc:Depends}, ${ada:Depends}, libpython${python-version}-dev,
@@ -42,7 +44,7 @@
  This package contains the static library and Ada specifications
  adding Python as scripting language.
 
-Package: libgnatcoll-python3-1
+Package: libgnatcoll-python3-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,9 +61,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-iconv21-dev
-Breaks: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev, libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev
-Replaces: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev, libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev
+Package: libgnatcoll-iconv-dev
+Breaks: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev,
+ libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev, libgnatcoll-iconv21-dev
+Replaces: libgnatcoll-iconv17-dev, libgnatcoll-iconv18-dev,
+ libgnatcoll-iconv19-dev, libgnatcoll-iconv20-dev, libgnatcoll-iconv21-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for Iconv character encoding conversions (development)
@@ -74,7 +79,7 @@
  This package contains the static library and Ada specifications for
  the binding with the Iconv character encoding conversion library.
 
-Package: libgnatcoll-iconv20
+Package: libgnatcoll-iconv21
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -91,9 +96,14 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline21-dev
-Breaks: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev, libgnatcoll-readline19-dev, libgnatcoll-readline20-dev
-Replaces: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev, libgnatcoll-readline19-dev, libgnatcoll-readline20-dev
+Package: libgnatcoll-readline-dev
+Breaks: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev,
+ libgnatcoll-readline19-dev, libgnatcoll-readline20-dev,
+ libgnatcoll-readline21-dev
+Replaces: libgnatcoll-readline17-dev, libgnatcoll-readline18-dev,
+ libgnatcoll-readline19-dev, libgnatcoll-readline20-dev,
+ libgnatcoll-readline21-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, libreadline-dev,
 Description: Ada binding for ReadLine input history (development)
@@ -106,7 +116,7 @@
  This package contains the static library and Ada specifications
  for the binding with GNU readline and history libraries.
 
-Package: libgnatcoll-readline20
+Package: libgnatcoll-readline21
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -123,9 +133,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-gmp21-dev
-Breaks: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev, libgnatcoll-gmp20-dev
-Replaces: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev, libgnatcoll-gmp20-dev
+Package: libgnatcoll-gmp-dev
+Breaks: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev,
+ libgnatcoll-gmp20-dev, libgnatcoll-gmp21-dev
+Replaces: libgnatcoll-gmp17-dev, libgnatcoll-gmp18-dev, libgnatcoll-gmp19-dev,
+ libgnatcoll-gmp20-dev, libgnatcoll-gmp21-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, libgmp-dev,
 Description: Ada binding for GMP big numbers (development)
@@ -138,7 +151,7 @@
  This package contains the static library and Ada specifications
  for a binding with the GNU Multiple Precision arithmetic C library.
 
-Package: libgnatcoll-gmp20
+Package: libgnatcoll-gmp21
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -154,9 +167,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-syslog5-dev
-Breaks: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev, libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev
-Replaces: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev, libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev
+Package: libgnatcoll-syslog-dev
+Breaks: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev,
+ libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev, libgnatcoll-syslog5-dev
+Replaces: libgnatcoll-syslog1-dev, libgnatcoll-syslog2-dev,
+ libgnatcoll-syslog3-dev, libgnatcoll-syslog4-dev, libgnatcoll-syslog5-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for syslog journals (development)
@@ -169,7 +185,7 @@
  This package contains the static library and Ada specifications
  for an interface to the syslog journal manager daemon.
 
-Package: libgnatcoll-syslog3
+Package: libgnatcoll-syslog4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -185,9 +201,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-lzma4-dev
-Breaks: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev, libgnatcoll-lzma4-dev
-Replaces: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev, libgnatcoll-lzma4-dev
+Package: libgnatcoll-lzma-dev
+Breaks: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev,
+ libgnatcoll-lzma4-dev
+Replaces: libgnatcoll-lzma1-dev, libgnatcoll-lzma2-dev, libgnatcoll-lzma3-dev,
+ libgnatcoll-lzma4-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, liblzma-dev,
 Description: Ada binding for LZMA compression (development)
@@ -200,7 +219,7 @@
  This package contains the static library and Ada specifications
  for the binding with the lzma compression library.
 
-Package: libgnatcoll-lzma2
+Package: libgnatcoll-lzma3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -216,9 +235,12 @@
 
 ######################################################################
 
-Package: libgnatcoll-zlib4-dev
-Breaks: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev, libgnatcoll-zlib4-dev
-Replaces: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev, libgnatcoll-zlib4-dev
+Package: libgnatcoll-zlib-dev
+Breaks: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev,
+ libgnatcoll-zlib4-dev
+Replaces: libgnatcoll-zlib1-dev, libgnatcoll-zlib2-dev, libgnatcoll-zlib3-dev,
+ libgnatcoll-zlib4-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}, zlib1g-dev,
 Description: Ada binding for Zlib compression (development)
@@ -231,7 +253,7 @@
  This package contains the static library and Ada specifications
  for the binding with the zlib compression library.
 
-Package: libgnatcoll-zlib2
+Package: libgnatcoll-zlib3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -247,9 +269,10 @@
 
 ######################################################################
 
-Package: libgnatcoll-omp3-dev
-Breaks: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev
-Replaces: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev
+Package: libgnatcoll-omp-dev
+Breaks: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev, libgnatcoll-omp3-dev
+Replaces: libgnatcoll-omp1-dev, libgnatcoll-omp2-dev, libgnatcoll-omp3-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for OpenMP parallelism (development)
@@ -262,15 +285,6 @@
  This package contains the static library and Ada specifications
  for the binding with the OpenMP parallelism library.
 
-Package: libgnatcoll-omp1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Description: Ada binding for OpenMP parallelism (runtime)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
+Package: libgnatcoll-omp2
+Section: libs
+Architecture: any

=== debian/tests/control ===
Tests: gmp iconv python readline syslog
Depends: @, gprbuild, g++-14
